Хостинг. MODX REVO проблемы в работе на версиях php выше 5.4

tarasgnidec.com
5 лет
0

Здравствуйте.
Если изменить версию PHP выше чем 5.4 то появляются проблемы в работе cms, некоторое функции перестают работать.
Есть ли возможность создать набор настроек для MODX REVO ?

Обсуждение проблемы на сайте modx.pro
modx.pro/help/7248/

info620
5 лет
0

Если изменить версию PHP выше чем 5.4 то появляются проблемы в работе cms, некоторое функции перестают работать. © tarasgnidec.com

TL;DR: Ну так просто залиште PHP 5.4

1. вказуйте версію CMS - напевно вона у вас же не остання.
2. якщо проблеми з'являються саме вище версії 5.4 то напевно у вас використовується підключка до БД через старий драйвер (це найчастіше хоча там ще був ряд змін - eregi наприклад)
3. Можливо проблема не в CMS, а в плагіні, що ви використовуєте. Часто вони дуже низької якості.

Нащо вам версія новіша ніж 5.4?

tarasgnidec.com
5 лет
0

Версия CMS последняя 2.5.4.
Проблемы встречаются только на этом хостинге.
Ошибки присутствует и без плагинов, так как на версии выше 5.4, менеджер плагинов не работает и установить какой-нибудь планиг нет возможности.
На версии php7 скористь работы выше.

Евгений В.
5 лет
0

Вот только что установил MODX Revolution 2.5.4 (дистрибутив взял с https://modx.com/download ), установил php 7.0 - на первый взгляд все работает правильно (в том числе менеджер медиафайлов и установщик модулей из репозиториев)
[[upload]screen-1.jpg[[/upload]]
[[upload]screen-2.jpg[[/upload]]

eugen
5 лет
1

Попробовал установить 2.5.4 с php 7.0 - картинки в менеджере медиа показываются. В управлении пакетами пишется Loading... и "Выберите хранилище слева, чтобы начать просмотр этого поставщика.". При выборе хранилища в левом меню показывается список пакетов, пакеты успешно загружаются. Поставщик пакетов - modx.com. Настройки php - все стандартные, только версию php менял.

Можете написать в поддержку со ссылкой на эту тему форума о каком сайте идет речь и доступ его в админ часть, сможем проверить детальнее в чем проблема в вашем случае.

tarasgnidec.com
5 лет
3

Спасибо всем за помощь.
Поиграл немного с настройками самого MODX, проблема была в параметре локаль (locale) необходимо установить значение (en_US.UTF-8) или (uk_UA.UTF-8) и все нормально заработает, менеджер плагинов, отображение системной информации и т.д.

eugen
5 лет
0

А какая локаль стояла, когда были проблемы?

tarasgnidec.com
5 лет
1

Параметр был пустой, без локали.

Тема закрыта.